Tagged: 

Viewing 15 posts - 16 through 30 (of 52 total)
  • Author
    Posts
  • #4146

    agocurti
    Participant

    Hi Tobias,
    I found the right menu… …’4th option from the top – 4th option from the top again’ has been resolutive. I still don’t know all the oruxmap menus ;-))
    Thanx again. ByeBye

    #4234
    vancori
    vancori
    Participant

    I would like to make an remark: I think from the map, by applying the new test version of third preview for Elevate 3, are missing the node / tag = guest_house tourism and tourism = hotel

    Then I noticed a strange error on the contour lines, but I think it depends on external factors. I noticed this error precisely on the Stromboli island (Italy)
    A hole topographic!
    http://www.4umaps.eu/map.htm?zoom=15&lat=38.79193&lon=15.21615&layers=BF

    best regards

    #4241
    Tobias
    Tobias
    Moderator

    Hi Vancori,
    thanks for your feedback!

    I would like to make an remark: I think from the map, by applying the new test version of third preview for Elevate 3, are missing the node / tag = guest_house tourism and tourism = hotel

    Are you sure? It is in the theme, just the overlay accommodation isn’t enabled by default. Use maps menu – tweak mapsforge theme in OruxMaps or Map – map style in Atlas etc. for switching layers on or off.

    Then I noticed a strange error on the contour lines, but I think it depends on external factors. I noticed this error precisely on the Stromboli island (Italy)
    A hole topographic!

    Yes, that’s a hole in the altitude information data, or some strange volcanic activity :-)

    Best regards,
    Tobias

    #4291

    Spartaner
    Participant

    Hi, I have problems with the display of huts (“alpine_hut”) and “amenity=shelter”. I do not understand, when and when not these items and there names are displayed. Please look to my screenshots of one place, but with different zoom steps.
    I do not know wether this is to account to Elevate_Backcountry, or to the Openandromaps itself.

    I would wish to see these huts und rest places (and leisure=picnic_table, and fireplace=yes) including their names in all deep zoom steps, the symbols without names in middle zoom steps, and nothing only in very high overview zooms (hundreds of kilometers).

    Who can help?

    Michael

    Attachments:
    1. Screenshots.zip
    #4294
    Tobias
    Tobias
    Moderator

    Hi Michael,
    usually it’s collision of different objects. At the same place only one name/symbol can be displayed, and it’s not reliably controllable which object is shown (at least with mapsforge 0.3 on which Locus mapsforge is based). Also at tile borders some objects are omitted.
    Elements_Backcountry shows symbols as soon as they are included in the maps, and names for nodes too. If the hut/shelter is defined by a way it’s not possible with mapsforge 0.3 to show both symbol and name, so name are shown only at high zoom levels.
    Most of this is fixed with mapsforge 0.5 and Elevate 3 preview, which isn’t working with Locus yet.
    Best regards,
    Tobias

    #4295
    Emux
    Emux
    Participant

    As Tobias mentioned it’s about collision detection mechanism.

    But in current versions of Mapsforge we have added render theme directives for proper symbol / label positioning, priorities of appearance and overlapping.

    Emux
    CruiserAtlas

    #4413
    Emux
    Emux
    Participant

    Hi Tobias,

    In your latest update 3 the following link does not work:
    https://www.openandromaps.org/wp-content/users/tobias/Elevate_svg.zip

    Emux
    CruiserAtlas

    #4415
    Emux
    Emux
    Participant

    Also the Elevate 2 and 3 have the same download links.

    Emux
    CruiserAtlas

    #4417
    Tobias
    Tobias
    Moderator

    Hi Emux,
    thanks, I hope I fixed everything – too many links :-)
    Best regards,
    Tobias

    #4418
    Emux
    Emux
    Participant

    (Yes, the links work now)

    By the way, thanks for the continuous work on the Elevate theme!

    Emux
    CruiserAtlas

    #4426
    Tobias
    Tobias
    Moderator

    By the way, thanks for the continuous work on the Elevate theme!

    And thank you and Ludwig for the constant improvement of mapsforge :-)

    #4441

    eril
    Participant

    I’ve an old device so I use old version of Locus (2.7.2) since new versions are very slow. New 2.5 version of the Elevate theme doesn’t work with this version of Locus, is it possible to have also older version such as 2.2, 2.3, 2.4 available for download? It seems to be impossible to find them on the net.

    Including version number to the zip-files on the web site could also be a good idea to distinguish them.

    Thanks!

    #4443
    Tobias
    Tobias
    Moderator

    Hi Eril,

    I don’t think that having an archive with all released versions is worth the effort, and naming all zip files is too much hassle – they are created automatically, and I would have to change many links for every release. I better spend my time in making the theme and map key better ;-)

    But to your problem: usually the themes should be compatible, but I had to add one Locus-specific command for the last versions as newer version of Locus are making some weird stuff without it.
    You could help yourself:
    – either you just remove `fill-sea-areas=”0″ from the xml-files of Elevate 2.5 for Locus if you are able to
    – or take the general theme files (not the Locus versions) and put each xml-file that you need incl. ele-res folder in a separate directory

    It should work in theory, I just can’t test it as Locus isn’t offering old versions too ;-)

    Best regards,
    Tobias

    #4446

    eril
    Participant

    Thanks for reply.

    Unfortunately both of those tricks didn’t work. Do somebody else have older versions of the Elevate theme available?

    Old version of Locus can be still found, for example here: http://handheld.softpedia.com/get/Educational/Maps/Locus-112633.shtml

    #4453
    Tobias
    Tobias
    Moderator

    Hi Eril,
    thanks for this. I think I found the problem and fixed some file paths. It’s hard to find such strict old mapsforge apps as Locus 2.7.0 which aren’t as tolerant as the modern ones :-)
    Please try the new updates 2.5.0.1
    Best regards,
    Tobias

Viewing 15 posts - 16 through 30 (of 52 total)

You must be logged in to reply to this topic.